# ModelExplicitCriterion (ARX GUI Documentation)

org.deidentifier.arx.gui.model

## Class ModelExplicitCriterion

- java.lang.Object
- - org.deidentifier.arx.gui.model.ModelCriterion
  - - org.deidentifier.arx.gui.model.ModelExplicitCriterion

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ModelBLikenessCriterion, ModelDDisclosurePrivacyCriterion, ModelLDiversityCriterion, ModelTClosenessCriterion

      public abstract class ModelExplicitCriterion
      extends ModelCriterion

  This class implements a base class for explicit privacy criteria, i.e., ones that are associated to a specific attribute
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelExplicitCriterion(java.lang.String attribute)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAttribute()` Returns the associated attribute.
    `abstract void` | `pull(ModelExplicitCriterion criterion)` Implement this, to update data.

    - ### Methods inherited from class org.deidentifier.arx.gui.model.ModelCriterion

      `clone, getCriterion, getLabel, isEnabled, parse, setEnabled, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelExplicitCriterion

          public ModelExplicitCriterion(java.lang.String attribute)

      Creates a new instance.
      Parameters:
        `attribute` -

  - ### Method Detail

    - #### getAttribute

          public java.lang.String getAttribute()

      Returns the associated attribute.
      Returns:

    - #### pull

          public abstract void pull(ModelExplicitCriterion criterion)

      Implement this, to update data.
      Parameters:
        `criterion` -